server {
    {% if ssl_certs_exist %}
    listen              443 ssl;
    {% else %}
    listen              80;
    {% endif %}
    server_name         {{ app_domain }};

    access_log          /var/log/nginx/{{ app_domain }}.log;
    error_log           /var/log/nginx/{{ app_domain }}-error.log error;

    root {{ web_root }};

    location / { index index.html; }

    location /projects {
      try_files /projects.html =404;
    }

    location /recipes {
      autoindex on;
    }

    location /demos {
      autoindex on;
    }

    location = /robots.txt  {
      alias {{ web_root }}/robots.txt;
    }

    location /blog {
      index index.php index.html index.htm
      try_files $uri $uri/ /index.php?q=$uri&$args;
    }

    location ~ \.php$ {
        try_files $uri =404;
        include /etc/nginx/fastcgi_params;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/var/run/php/{{ php_fpm_version }}.sock;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
    }

    {% if ssl_certs_exist %}
    # SSL
    ssl_certificate {{ letsencrypt_dir }}/live/{{ app_domain }}/fullchain.pem;
    ssl_certificate_key {{ letsencrypt_dir }}/live/{{ app_domain }}/privkey.pem;
    include {{ letsencrypt_dir }}/options-ssl-nginx.conf;
    ssl_dhparam {{ letsencrypt_dir }}/ssl-dhparams.pem;
    # END SSL
    {% endif %}

    error_page 500 502 503 504 /500.html;
    client_max_body_size 4G;
    keepalive_timeout 10;
    charset utf-8;

}

{% if ssl_certs_exist %}
server {

  if ($host = {{ app_domain }}) {
      return 301 https://$host$request_uri;
  }

  listen 80;
  server_name {{ app_domain }};
  return 404;

}
{% endif %}
